Programmer avec le langage Linotte
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.

Programmer avec le langage LinotteConnexion

Besoin d'un conseil sur la programmation en Linotte ?

Le deal à ne pas rater :
Cartes Pokémon : sortie d’un nouveau coffret Ultra Premium ...
Voir le deal

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
Bonjour,

J'ouvre ce nouveau poste pour vous informer des nouveautés dans la version de travail.

La première nouveauté est la possibilité d'utiliser le point-virgule pour réduire la taille de vos livres :

Code:

Point-virgule :

("Spécification :
1.
4")

Exemple :

Rôles :

message :
:
texte <
- "Un "
Actions :

message vaut message + "message qui tient " ;
message vaut message + "sur une ligne";
affiche message

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
J'ai déposé la dernier version alpha :

http://langagelinotte.free.fr/wordpress/?page_id=142

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
Chez moi la version alpha (build 28) interrompt pendant le chargement au début lorsqu'il affiche "chargement des préférences" et l'ouverture d'un livre utilisant des greffons avec jinotte entraine l'erreur suivante "Erreur interne au greffon !"

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
J'ai déposé une nouvelle version beta corrigeant le problème lié au démarrage !

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
Je pense avoir trouvé un autre problème lié au greffon police, lorsque de la lecture du livre, interpréteur s'arrête sur la ligne

"évoque ubuntu.charger("Ubuntu.ttf")"

et afficher le message suivant

"La valeur est incorrecte : Impossible de charger cette police"

alors que cela fonctionne avec la version 1.3

ps : j'ai essayé avec la dernière version 1.4 beta (build 40)

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
ok, je regarde le problème lié au greffon Police.

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
[quote=momo112]ps : j'ai essayé avec la dernière version 1.4 beta (build 40)[/quote]
J'en profite pour te demander si le lien Astronotte, dans le menu de ton Ubuntu, fonctionne ?
Merci !

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
[quote=cpc]J'en profite pour te demander si le lien Astronotte, dans le menu de ton Ubuntu, fonctionne ?[/quote]
Oui, à la perfection, ce qui m'étonne avec le lanceur d'Unity qui n'en fais qu'à sa tête chez moi.

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
Cool !

J'ai corrigé le bogue du greffon Polices avec la version 1.4 :

http://langagelinotte.free.fr/punbb/vie ... 2877#p2877

descriptionLinotte 1.4 alpha EmptyLinotte 1.4 alpha

more_horiz
J'ai publié une nouvelle version alpha.

Elle est compilé avec java 7.

Pouvez-vous vérifier si elle fonctionne toujours chez vous ? Merci !!

descriptionLinotte 1.4 alpha EmptyRe: Linotte 1.4 alpha

more_horiz
privacy_tip Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum